#version 450
#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 vPos;

layout(binding = 0) uniform UniformBufferObject
{
    mat4 viewProj;
    mat4 model;
} ubo;

void main()
{
    gl_Position = ubo.viewProj * ubo.model * vec4(vPos, 1.0);
}